Quassel IRC - Bug #971

quasselclient crash while trying to fetch backlog
05/22/2010 07:48 PM - kitterma

Status: Closed Start date: 05/22/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Client Estimated time: 0.00 hour

Target version:

Version: 0.7-pre 0S: Linux

Description
Was trying to reconnect and was waiting for backlog to be fetched when it crashed.

System had a high CPU load (due to compiling KDE bits at the same time) and the network is pretty low bandwidth, high latency.
Version is 0.6.1 on Kubuntu 10.04.

Application: quasselclient (v0.6.1 (dist-611ebcc))
KDE Platform Version: 4.4.2 (KDE 4.4.2)

Qt Version: 4.6.2

Operating System: Linux 2.6.32-22-generic i686
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
<In detalil, tell us what you were doing when the application crashed.>

—-— Backtrace:
Application: Quassel IRC (quasselclient), signal: Aborted
[Current thread is 1 (Thread 0xb779c980 (LWP 2338)) ]

Thread 3 (Thread 0xb520ab70 (LWP 2343)):

#0 0x003d0e16 in clock_gettime () from /lib/tls/i686/cmov/librt.so.1

#1 0x002a16fb in qt_gettime () at kernel/qcore_unix.cpp:111

#2 0x002a6825 in QTimerlnfoList::updateCurrentTime (this=0x95c0174) at kernel/geventdispatcher_unix.cpp:340
#3 0x002a686a in QTimerlnfoList::timerWait (this=0x95c0174, tm=...) at kernel/geventdispatcher_unix.cpp:443
#4 0x002a4818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb520a07c) at
kernel/geventdispatcher_glib.cpp:136

#5 0x002a48a5 in timerSourcePrepare (source=0x0, timeout=0x3d4ff4) at kernel/geventdispatcher_glib.cpp:169
#6 0x053d8aca in g_main_context_prepare () from /lib/libglib-2.0.s0.0

#7 0x053d8ee9 in ?? () from /lib/libglib-2.0.s0.0

#8 0x053d94b8 in g_main_context_iteration () from /lib/libglib-2.0.s0.0

#9 0x002a460f in QEventDispatcherGlib::processEvents (this=0x95bebe0, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x00277059 in QEventLoop::processEvents (this=0xb520a240, flags=) at kernel/geventloop.cpp:149
11 0x002774aa in QEventLoop::exec (this=0xb520a240, flags=...) at kernel/geventloop.cpp:201

12 0x001735a8 in QThread::exec (this=0x95b8f20) at thread/qthread.cpp:487

13 0x00256¢1b in QlnotifyFileSystemWatcherEngine::run (this=0x95b8f20) at io/gfilesystemwatcher_inotify.cpp:248
14 0x0017632¢ in QThreadPrivate::start (arg=0x95b8f20) at thread/qthread_unix.cpp:248

#15 0x004c096¢ in start_thread () from /lib/tls/i686/cmov/libpthread.so.0

#16 0x04e81a0e in clone () from /lib/tls/i686/cmov/libc.s0.6
Thread 2 (Thread 0xb4a09b70 (LWP 16544)):

0 0x00b76422 in __ kernel_vsyscall ()

1 0x04e4bceb6 in nanosleep () from /lib/tls/i686/cmov/libc.s0.6
0x04e4bb10 in sleep () from /lib/tls/i686/cmov/libc.s0.6
0x02060960 in ?? () from /usr/lib/libQtWebKit.s0.4

0x02060a21 in ?? () from /usr/lib/libQtWebKit.s0.4

#5 0x004c096e in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0x04e81a0e in clone () from /lib/tls/i686/cmov/libc.s0.6
Thread 1 (Thread 0xb779¢980 (LWP 2338)):
[KCrash Handler]
#6 0x00b76422 in __ kernel_vsyscall ()
0x04dde651 in raise () from /lib/tls/i686/cmov/libc.so0.6
0x04de1a82 in abort () from /lib/tls/i686/cmov/libc.so0.6
0x0016d2dc in qt_message_output (msgType=QtFatalMsg, buf=0xb09ebal "ASSERT failure in QList<T>::operator(]: \"index out
of range\", file /usr/include/qt4/QtCore/qlist.h, line 447")
at global/qglobal.cpp:2250
#10 0x0016d4aa in gt_message (msgType=<value optimized out>, msg=0x2e02cc "ASSERT failure in %s: \"%s\", file %s, line %d",
ap=0xbfaae204 "\261\020\037\b\236\020\037\b\250\021\037\b\277\001")
at global/qglobal.cpp:2296
#11 0x0016d5b9 in gFatal (msg=0x2e02cc "ASSERT failure in %s: \"%s\", file %s, line %d") at global/qglobal.cpp:2479
#12 0x0016d5fc in gt_assert_x (where=0x81f10b1 "QList<T>::operator[]", what=0x81f109e "index out of range", file=0x81f11a8
"/usr/include/qt4/QtCore/qlist.h", line=447) at global/qglobal.cpp:2021
#13 0x08101396 in QList<ChatLineModelltem>::operator(] (this=0x93fa43c, i=-1) at /usr/include/qt4/QtCore/qglist.h:447
#14 0x0818db0f in MessageModel::changeOfDay (this=0x93fa410) at /build/buildd/quassel-0.6.1/src/client/messagemodel.cpp:346
#15 0x081a31c5 in MessageModel::qt_metacall (this=0x93fa410, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfaae3fc)
at /build/buildd/quassel-0.6.1/0bj-i486-linux-gnu/src/client/moc_messagemodel.cxx:92
#16 0x0812cc8c in ChatLineModel::gt_metacall (this=0x93fa410, _c=QMetaObject::InvokeMetaMethod, _id=29, _a=0xbfaae3fc)
at /build/buildd/quassel-0.6.1/0bj-i486-linux-gnu/src/qtui/moc_chatlinemodel.cxx:67
#17 0x0027dc9a in QMetaObject::metacall (object=0x93fa410, cl=2338, idx=29, argv=0xbfaae3fc) at kernel/gmetaobject.cpp:237
#18 0x0028c3d5 in QMetaObject::activate (sender=0x93fa41c, m=0x38c5a4, local_signal_index=0, argv=0x0) at
kernel/qobject.cpp:3293
#19 0x002ddaa? in QTimer::timeout (this=0x93fa41c) at .moc/release-shared/moc_qtimer.cpp:134
#20 0x0029460e in QTimer::timerEvent (this=0x93fa41c, e=0xbfaae930) at kernel/gtimer.cpp:271
#21 0x00289254 in QObject::event (this=0x93fa41c, e=0x6) at kernel/qobject.cpp:1212
#22 0x00cac4dc in QApplicationPrivate::notify_helper (this=0x9325578, receiver=0x93fa41c, e=0xbfaae930) at
kernel/qapplication.cpp:4300
#23 0x00cb305e in QApplication::notify (this=0xbfaaec90, receiver=0x93fa41c, e=0xbfaae930) at kernel/qapplication.cpp:3704
#24 0x01a35f2a in KApplication::notify (this=0xbfaaec90, receiver=0x93fa41c, event=0xbfaae930) at
../../kdeui/kernel/kapplication.cpp:302
#25 0x00278a3b in QCoreApplication::notifylnternal (this=0xbfaaec90, receiver=0x93fad41c, event=0xbfaae930) at
kernel/qcoreapplication.cpp:704
#26 0x002a7d66 in QCoreApplication::sendEvent (this=0x93281c4) at
./..Jinclude/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#27 QTimerlInfoList::activateTimers (this=0x93281c4) at kernel/geventdispatcher_unix.cpp:603
28 0x00224917 in timerSourceDispatch (source=0x9328600) at kernel/geventdispatcher_glib.cpp:184
29 idleTimerSourceDispatch (source=0x9328600) at kernel/geventdispatcher_glib.cpp:231
30 0x053d55e5 in g_main_context_dispatch () from /lib/libglib-2.0.s0.0
31 0x053d92d8 in ?? () from /lib/libglib-2.0.s0.0
32 0x053d94b8 in g_main_context_iteration () from /lib/libglib-2.0.s0.0
33 0x002a45d5 in QEventDispatcherGlib::processEvents (this=0x930fd38, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#34 0x00d6c135 in QGuiEventDispatcherGlib::processEvents (this=0x930fd38, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00277059 in QEventLoop::processEvents (this=0xbfaaebf4, flags=) at kernel/geventloop.cpp:149

0x002774aa in QEventLoop::exec (this=0xbfaaebf4, flags=...) at kernel/qeventloop.cpp:201
37 0x0027b69f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981

38 0x00cac577 in QApplication::exec () at kernel/gapplication.cpp:3579

39 0x08072cfd in main (argc=) at /build/buildd/quassel-0.6.1/src/common/main.cpp:139
Report to http://bugs.quassel-irc.org/projects/quassel-irc/issues/new

History

#1 - 04/21/2011 07:48 PM - johu

- Version changed from 0.6-pre to 0.7-pre

Can not reproduce with quassel 0.7.2 & master, gt 4.7.2 and kde 4.6.2

#2 - 04/21/2011 07:49 PM - johu

- Status changed from New to Closed
